INTERFACE
SUBROUTINE BALSTATAD(KFLEV,KSMAX,KASM0,KSPEC2,PVOR,PDIV,PZZP,PFACT1,PFACT2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSUR ,NUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KASM0(0:KSMAX)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVOR(NFLSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIV(NFLSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PZZP(NFLSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFACT1(KSPEC2)
REAL(KIND=JPRB) ,INTENT(IN) :: PFACT2(KSPEC2)
END SUBROUTINE BALSTATAD
END INTERFACE
